/*	aspect ratio of this image is 1.24
	you can use the following sizes:
	+w300 +h372
	+w450 +h558
	+w600 +h744
	+w900 +h1116
*/	


/************************************* Flags ****************************************/
#declare showDome = 1;
#declare showWater = 1;
#declare showTestObjects = 1;


/************************************* Camera ***************************************/
camera { 
    location <0, 0.3, -4>
    right x*image_width/image_height
    up y
	look_at <0, 1.2, 0> 
}


/************************************* Lights ***************************************/
light_source{<10, 5, -3> color rgb 1.5}
light_source{<-10, 0.5, 3> color rgb 0.6}


/*********************************** Test Objects ***********************************/
#if(showTestObjects)
	background{color rgb<0.6, 0.7, 1>}
	sphere{<0, 0.1, 0>, 0.1 pigment{color rgb<1, 0, 0>}}		   
#end
                                  
                                  
/*************************************** Dome ***************************************/
#if(showDome)    
	#include "colors.inc" 
	#include "glass_old.inc" 
	#include "metals.inc"
	#include "Stpaul.inc"

	object{StPauls scale 0.005 translate<-3, 8, 23>}
#end


/*************************************** Water **************************************/ 
#if(showWater)
	plane {
		y, 0 
		pigment{color rgb<0.3, 0.5, 0.7>} 
		finish{ambient 0.1 phong 0.8 reflection 0.3} 
		normal{bumps 0.4 bump_size 0.1} 
		
		scale 0.04
	}
#end



